﻿using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Header_SpecialHeader
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            xdg.DataContext = new ViewModel();
        }

       
    }

    public class ViewModel : INotifyPropertyChanged
    {
        public ViewModel()
        {
            GridData = Data.GetData(5, 1, 10);
            Headers = new List<string>() { "", "Header1", "Header2" };
            Symbols = new List<string>() {"°","$","~"};
        }

        private ObservableCollection<Data> _gridData;

        public ObservableCollection<Data> GridData
        {
            get { return _gridData; }
            set 
            { 
                _gridData = value;
                PropChanged("GridData");
            }
        }
        private List<string> _symbols;
        public List<string> Symbols
        {
            get { return _symbols; }
            set
            {
                _symbols = value;
                PropChanged("Symbols");
            }
        }
       // IEnumerable<string> Lines { get; set; }

        private IEnumerable<string> _headers;

        public IEnumerable<string> Headers
        {
            get 
            { 
                return _headers; 
            }
            set
            {
                _headers = value; 
                PropChanged("Headers");
            }
        }

        private IEnumerable<string> _lines;

        public IEnumerable<string> Lines
        {
            get { return _lines; }
            set { _lines = value; PropChanged("Lines"); }
        }
        
        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
    public class Data : INotifyPropertyChanged
    {
        private string _value1;
        private string _value2;
        private string _value3;

        public string Value1
        {
            get { return _value1; }
            set
            {
                _value1 = value;
                PropChanged("Value1");
            }
        }

        public string Value2
        {
            get { return _value2; }
            set
            {
                _value2 = value;
                PropChanged("Value2");
            }
        }
        public string Value3
        {
            get { return _value3; }
            set
            {
                _value3 = value;
                PropChanged("Value3");
            }
        }
      
        public static ObservableCollection<Data> GetData(int points, int rangeStart, int rangeEnd)
        {
          //  char c = '°';
            ObservableCollection<Data> data = new ObservableCollection<Data>();
            Random r = new Random();
            for (int i = 0; i < points; i++)
            {
                data.Add(new Data
                {
                    Value1 = "NHPRP \u00B145", //+ ((char)c).ToString(),
                    Value2 = " " + r.Next(rangeStart, rangeEnd),
                    Value3 = " " + r.Next(rangeStart, rangeEnd),
                });
            }
            return data;
        }

       

        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }

   
    
}
